=== debian/changelog ===
ros-indigo-libsegwayrmp (0.2.10-0trusty) trusty; urgency=high

  * The segwayrmp_gui is now installed so it is available from binaries

 -- William Woodall <wjwwood@gmail.com>  Tue, 10 Dec 2013 06:00:00 -0000

ros-indigo-libsegwayrmp (0.2.9-0trusty) trusty; urgency=high

  * Export -ldl on Linux
    Fix a bug where the explicit link against -ldl
    is not exported by the find_package and
    pkg-config files, which causes down stream
    projects to fail to compile.

 -- William Woodall <wjwwood@gmail.com>  Tue, 11 Jun 2013 05:00:00 -0000

ros-indigo-libsegwayrmp (0.2.8-0trusty) trusty; urgency=high

  * Update find_package infrastructure
    * rename to libsegwayrmpConfig.cmake
    * template in the install path for searching
    * Fix logic around _FOUND
    * Search for ftd2xx on Apple also
    * use libsegwayrmp prefix instead of segwayrmp

 -- William Woodall <wjwwood@gmail.com>  Sat, 18 May 2013 05:00:00 -0000

ros-indigo-libsegwayrmp (0.2.7-0trusty) trusty; urgency=high

  * Added Piyush Khandelwal to maintainer list for bloom release updates.
  * Added pkgconfig file generation for linux. This also introduces the need to have a version number inside CMake apart from package.xml. (fixes #8 <https://github.com/segwayrmp/libsegwayrmp/issues/8>)
  * Fixed libftd2xx installation issue on linux. Tested using a direct cmake installation and catkin_make_isolated. Seems to be working fine on 64 bit. (Fixes #7 <https://github.com/segwayrmp/libsegwayrmp/issues/7>)

 -- William Woodall <wjwwood@gmail.com>  Fri, 03 May 2013 05:00:00 -0000

ros-indigo-libsegwayrmp (0.2.6-0trusty) trusty; urgency=high

  * Add missing run_depend on catkin and fix missing link against pthread

 -- William Woodall <wjwwood@gmail.com>  Thu, 18 Apr 2013 05:00:00 -0000

ros-indigo-libsegwayrmp (0.2.5-0trusty) trusty; urgency=high

  * Another missing import of iostream

 -- William Woodall <wjwwood@gmail.com>  Tue, 16 Apr 2013 18:59:00 -0000

ros-indigo-libsegwayrmp (0.2.4-0trusty) trusty; urgency=high

  * Adding missing include of iostream

 -- William Woodall <wjwwood@gmail.com>  Tue, 16 Apr 2013 17:10:00 -0000

ros-indigo-libsegwayrmp (0.2.3-0trusty) trusty; urgency=high

  * Fixed a build bug

 -- William Woodall <wjwwood@gmail.com>  Mon, 21 Jan 2013 02:30:00 -0000

ros-indigo-libsegwayrmp (0.2.2-0trusty) trusty; urgency=high

  * Add buildtool depend on cmake

 -- William Woodall <wjwwood@gmail.com>  Sun, 20 Jan 2013 23:03:00 -0000

ros-indigo-libsegwayrmp (0.2.1-0trusty) trusty; urgency=high

  * Add boost as a dependency
  * Update .travis.yml

 -- William Woodall <wjwwood@gmail.com>  Thu, 17 Jan 2013 23:12:00 -0000

ros-indigo-libsegwayrmp (0.2.0-0trusty) trusty; urgency=high

  * update copyright
  * Readme
  * Linking bug with Boost System
  * Adding travis support
  * Adding GUI dependencies to the package.xml
  * Preparation for release into groovy as 3rdparty
  * Removed ROS specific code
  * Merge pull request #4 <https://github.com/segwayrmp/libsegwayrmp/issues/4> from utexas-bwi/master
    reset all integrators before starting read.
  * reset all integrators before starting read. Prevents the first couple of values from being arbitrary if the integrators are to be reset
  * Updates to the manifest and build system to assist building of dependent packages in ROS.
  * Fixing a compile problem on Linux
  * Inverting commands sent to the segway from the GUI so it turns correctly
  * Added joystick support, and other improvements to the GUI
  * Added the moveCounts function which allows you to command the base using counts rather than approximated velocities
  * Cleaning up build system
  * Added a cancel function to rmp_io to fix a bug where the library would hang on disconnect if the device was shutdown before disconnecting
  * Moved the enumerateUSBDevices function out of the ftd2xx_rmp_io class so it could be used by the GUI.
  * Disable the copy constructors.
  * Adding Graphical User Interface which is useful for configuring the Segway and validating the SegwayRMP library.
  * Removing sublime-workspace file
  * Adding .cc extension files and other missing files.
  * Modified the connect method to no longer explicitly set the operational mode and controller gains as these are saved between segway restarts and should be a one time configuration or explicit mode request.  Additionally added a shutdown command which sends the previously unimplemented "RMP shutdown message".  This involved making the rmp_io class respect the packet.id value.
  * Changed the way the Serial dependency is searched for.  If it is not found with find_package and the ROS_ROOT environment variable is set then it tries to find the serial library using rosbuild.
  * Ignore CMakeLists.txt.user from Qt Creator.
  * Tested working in tractor mode.
  * Fixing a serial cmake typo
  * Major changes to layout and code base, compiles, but needs testing.
  * Merge pull request #2 <https://github.com/segwayrmp/libsegwayrmp/issues/2> from piyushk/master
    remove deadlock in libsegwayrmp.git
  * fixed deadlock in ConcurrentQueue when cancelled -- allows libsegwayrmp to terminate gracefully
  * Update README.markdown
  * Adding #include <boost/function.hpp> reported by Manuel Wopfner, Thanks.
  * Update include/impl/rmp_serial.h
  * Fixing queueing bug.
  * Fixing a bug reported by ilan.
  * Adding a concurrent queue for processing segwaystatus structures via the user callback, this should allow some flexibility.
  * Updated the change log.
  * Updating documentation.  I think we are ready for rc2.
  * Changed callbacks to use Boost Function typedefs so now you can use Boost Bind to use class methods as callbacks.
    Updated the documentation to reflect the new Boost::bind method of class method callbacks.
    Added a Timestamp callback to allow users to manage time stamping.
    Added an Exception handling callback so users can handle otherwise unhanded exceptions that might occur in the internal library threads.

