=== debian/control ===
Source: ros-indigo-libsegwayrmp
Section: misc
Priority: extra
Maintainer: William Woodall <wjwwood@gmail.com>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libqt4-dev, libsdl1.2-dev, ros-indigo-serial
Homepage: http://segwayrmp.github.com/libsegwayrmp/
Standards-Version: 3.9.2

Package: ros-indigo-libsegwayrmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, libsdl1.2-dev, ros-indigo-catkin, ros-indigo-serial
Description: This is a C++ library for interfacing with Segway's RMP line of robotic platforms.
